package com.ruoyi.ems.service.impl;

import com.ruoyi.ems.domain.OpEnergyStrategyStep;
import com.ruoyi.ems.mapper.OpEnergyStrategyStepMapper;
import com.ruoyi.ems.service.IOpEnergyStrategyStepService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 能源策略步骤Service业务层处理
 *
 * @author ruoyi
 * @date 2024-10-14
 */
@Service
public class OpEnergyStrategyStepServiceImpl implements IOpEnergyStrategyStepService {
    @Autowired
    private OpEnergyStrategyStepMapper stepMapper;

    @Override
    public List<OpEnergyStrategyStep> selectStepByStrategyCode(String strategyCode) {
        return stepMapper.selectStepByStrategyCode(strategyCode);
    }

    @Override
    public int insertStep(OpEnergyStrategyStep strategyStep) {
        return stepMapper.insertStep(strategyStep);
    }

    @Override
    public int insertStepBatch(List<OpEnergyStrategyStep> strategySteps) {
        return stepMapper.insertStepBatch(strategySteps);
    }

    @Override
    public int updateStep(OpEnergyStrategyStep strategyStep) {
        return stepMapper.updateStep(strategyStep);
    }

    @Override
    public int deleteStepByStrategyCode(String strategyCode) {
        return stepMapper.deleteStepByStrategyCode(strategyCode);
    }
}
